package com.ycwl.basic.profitsharing.mapper;

import com.ycwl.basic.model.pc.profitsharing.resp.ProfitSharingRecordRespVO;
import com.ycwl.basic.profitsharing.entity.ProfitSharingRecord;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface ProfitSharingRecordMapper {
    List<ProfitSharingRecordRespVO> findByScenicId(@Param("scenicId") Long scenicId);

    void batchInsert(List<ProfitSharingRecord> records);

    @Delete("DELETE FROM profit_sharing_record WHERE scenic_id = #{scenicId} AND order_id = #{orderId}")
    void deleteByScenicIdAndOrderId(Long scenicId, Long orderId);
}